@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;900&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  background-color: aliceblue;
}

::-webkit-scrollbar {
  width: 0;
}

.header {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header > div {
  width: 100%;
  max-width: 900px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding: 5px 20px;
}

.header > div > h1 {
  text-align: center;
  color: green;
}

.header > div > h1 > span {
  color: goldenrod;
}

.header > div > nav {
  min-width: 400px;
  display: flex;
  justify-content: center;
}

.header > div > nav > a {
  margin: 0 10px;
  text-decoration: none;
  color: black;
}

.header > div > nav > span {
  margin: 0 10px;
  text-decoration: none;
  color: black;
  cursor: pointer;
}

@media screen and (min-width: 550px) {
  .header > div {
    justify-content: space-between;
  }

  .header > div > nav {
    justify-content: flex-end;
  }
}

.footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 120px;
  background-color: green;
  color: white;
}

.footer > button {
  margin-top: 10px;
  border: none;
  background: pink;
  color: red;
  padding: 2px 10px;
  border-radius: 2px;
  cursor: pointer;
  font-weight: 600;
}

.footer > button:hover {
  background-color: red;
  color: pink;
}

.section {
  position: fixed;
  bottom: 20px;
  left: 10px;
  background-color: white;
  padding: 1px 15px 2px 5px;
  box-shadow: 1px 1px 2px grey;
  /* display: none; */
}

.section > div {
  width: 100%;
  height: 4px;
  background-color: green;
  position: absolute;
  bottom: 0;
  left: 0;
  animation: drain 3s linear infinite;
  /* animation-play-state: paused; */
}

@keyframes drain {
  0% {
    width: 100%;
  }
  100% {
    width: 0%;
  }
}

.section > div.success {
  background-color: green;
}

.section > div.danger {
  background-color: red;
}
